Name:		slrn
Summary:	A powerful, easy to use, threaded Internet news reader
Version:	1.0.3
Release:	%mkrel 12
License:	GPLv2+
Group:		Networking/News
# This URL is no longer available
URL:		https://www.slrn.org/
Source0:	https://jedsoft.org/releases/slrn/%{name}-%{version}a.tar.bz2
Source1:	slrnpull-expire
Source2:	slrnpull.log
Source3:	README.rpm-slrnpull
Patch4:		slrn-configure-c99.patch
Requires:	slang >= 2.0.0
Requires:	inews
Recommends:	lynx
BuildRequires:	pkgconfig(slang) >= 2.0.0
BuildRequires:	sendmail-command
BuildRequires:	gettext-devel
BuildRequires:	inews

%description
SLRN is a powerful, easy to use, threaded Internet news reader.  SLRN is
highly customizable and allows you to design complex filters to sort or kill
news articles.  SLRN works well over slow network connections, and includes
a utility for reading news off-line.

Install slrn if you need a full-featured news reader, if you have a slow
network connection, or if you'd like to save on-line time by reading your
news off-line.

%package pull
Summary:	Offline news reading support for slrn
Group:		Networking/News
Requires:	%{name} = %{version}

%description pull
This package provides slrnpull, which allows set up of a small news
spool for offline news reading.

%prep
%autosetup -p1

# prevent stripping (for debuginfo):
sed -i -e 's|-m 755 -s|-m 755|g' src/Makefile.in

# skip rpath
sed -i -e '/^RPATH/d' src/Makefile.in

# Fix install of slrnpull man page, seems to be broken upstream
# - AdamW 2008/02
sed -i -e 's,slrn.1,*.1,g' src/Makefile.in

# Better default browser - AdamW 2008/02
sed -i -e 's,netscape,www-browser,g' doc/slrn.rc

%build
%configure --sysconfdir=%{_sysconfdir}/news \
           --with-slanginc=%{_includedir}/slang \
           --with-slanglib=%{_libdir} \
           --with-slrnpull \
           --with-slanginc=%{_includedir}/slang \
           --with-nss-compat \
           --enable-inews \
           --enable-setgid-code \
           --disable-rpath

%make_build
# Force build of slrnpull, again seems broken upstream - AdaMw 2008/02
%make_build slrnpull

%install
%make_install
%find_lang %{name}

mkdir -p %{buildroot}/etc/{cron.daily,logrotate.d,news}
install doc/slrn.rc %{buildroot}/etc/news/
chmod 644 %{buildroot}/etc/news/slrn.rc

#(peroyvind) remove unpackaged files
rm -rf %{buildroot}%{_docdir}/%{name}

%files -f %{name}.lang
%doc doc/{FIRST_STEPS,README.SSL,help.txt,score.txt,slrnfuns.txt,README.macros,THANKS,manual.txt,slrn-doc.html,FAQ,README.GroupLens,README.multiuser,score.sl,slrn.rc} COPYRIGHT README changes.txt
%{_bindir}/slrn
%{_mandir}/man1/slrn.1*
%config(noreplace) %{_sysconfdir}/news/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%files pull
%doc doc/slrnpull/*
%{_mandir}/man1/slrnpull*
%{_bindir}/slrnpull


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.0.3-12.mga10
+ Revision: 2229638
- Mageia 10 Mass Rebuild

* Sun Oct 27 2024 daviddavid <daviddavid> 1.0.3-11.mga10
+ Revision: 2111435
- add fedora patch to fix build with GCC 14
+ wally <wally>
- skip rpath without using chrpath

* Sat Nov 19 2022 kekepower <kekepower> 1.0.3-10.mga9
+ Revision: 1908783
- Remove rpath from slrn
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.3-8.mga8
+ Revision: 1517065
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-7.mga7
+ Revision: 1301068
- Mageia 7 Mass Rebuild

* Sat Apr 22 2017 neoclust <neoclust> 1.0.3-6.mga6
+ Revision: 1097100
- New version 1.0.3a - Fixes CVE-2014-3566 (mga#20661)

* Wed Feb 17 2016 umeabot <umeabot> 1.0.1-6.mga6
+ Revision: 962848
- Mageia 6 Mass Rebuild

* Fri Oct 23 2015 daviddavid <daviddavid> 1.0.1-5.mga6
+ Revision: 894391
- do not strip binaries to fix empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-4.mga5
+ Revision: 748637
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-3.mga5
+ Revision: 689197
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 1.0.1-2.mga4
+ Revision: 528551
- Mageia 4 Mass Rebuild

* Sun Jun 23 2013 remmy <remmy> 1.0.1-1.mga4
+ Revision: 445938
- New upstream version

* Mon Jan 14 2013 umeabot <umeabot> 0.9.9p1-5.mga3
+ Revision: 382186
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 boklm <boklm> 0.9.9p1-4.mga1
+ Revision: 60922
- imported package slrn


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.9p1-4mdv2011.0
+ Revision: 607544
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.9p1-3mdv2010.1
+ Revision: 524116
- rebuilt for 2010.1

* Mon Aug 24 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.9.9p1-2mdv2010.0
+ Revision: 420298
+ rebuild (emptylog)

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 0.9.9p1-1mdv2009.1
+ Revision: 333110
- Add inews support
- New release upstream

  + Adam Williamson <awilliamson@mandriva.org>
    - fix configure line: a parameter had its name changed, and specifying slang's
      location doesn't work unless you specify both include and lib dir

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.9.9-0.266.2mdv2009.0
+ Revision: 225445
- rebuild

* Wed Feb 13 2008 Adam Williamson <awilliamson@mandriva.org> 0.9.9-0.266.2mdv2008.1
+ Revision: 166930
- suggest lynx as it's the default browser for non-X situations
- use www-browser, not netscape, as the browser if X is detected

* Wed Feb 13 2008 Adam Williamson <awilliamson@mandriva.org> 0.9.9-0.266.1mdv2008.1
+ Revision: 166906
- don't run %%update_menus as there's no menu entry
- quick fix for slrnpull build / install (broken upstream)
- new svn snapshot 266
- see if makeinstall_std fixes the installation problem
- new snapshot
- some spec cleanups
- upstream switched from CVS to SVN, adapt
- new license policy
- drop menu entry (this is a console-only app)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jun 08 2007 Adam Williamson <awilliamson@mandriva.org> 0.9.8.2-0.20070607.1mdv2008.0
+ Revision: 37236
- specify slang location for autogen and configure (fix x86-64 build)
- BuildRequire gettext-devel (for autopoint)
- go to CVS snapshot
- rebuild for new era
- XDG menu
- add two patches from upstream


* Tue Feb 28 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.9.8.1-4mdk
- Don't ship slrn man page in both packages

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.9.8.1-3mdk
- Rebuild

* Tue Jul 26 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.8.1-2mdk
- Fix BuildRequires

* Mon Mar 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.9.8.1-1mdk
- new version 0.9.8.1
- system slrn.rc should not be executable

* Mon Jan 17 2005 Marcel Pol <mpol@mandrake.org> 0.9.8.0-4mdk
- do not send 8859-1 characters to UTF-8 slang [Suse #37854]

* Fri Jul 23 2004 Marcel Pol <mpol@mandrake.org> 0.9.8.0-3mdk
- again build against new slang

* Wed Jul 21 2004 Marcel Pol <mpol@mandrake.org> 0.9.8.0-2mdk
- build against new slang

* Mon Dec 22 2003 Damien Chaumette <dchaumette@mandrakesoft.com> 0.9.8.0-1mdk
- version 0.9.8.0
- remove merged patches
- no more doc/SCORE_FAQ

* Thu Jun 05 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.9.7.4-3mdk
- fix unpackaged files
- macroize (light;)

